import { Player, system, EquipmentSlot, world as world } from '@minecraft/server';
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
import { songsMenu, shop, BankApp, weather, msg, telaport, chess, time, power, appStore, settings, camera, home, getScore } from './apps.js'


world.afterEvents.itemUse.subscribe((data) => {

  const { source: player, itemStack: item } = data;

  //THIS IS ITEM USED TO OPEN THE SMARTPHONE MAIN MENU, YOU CAN CHANGE THE ITEM USED TO ANY ITEM ID.
  if (item.typeId == "ml:onebill") {
    BankApp(player);
  }
});

world.afterEvents.worldInitialize.subscribe((data) => {
  const scoreboard = world.scoreboard.getObjective("money");

  if (scoreboard == undefined) {
    world.scoreboard.addObjective("money");
  } else return;
});

world.afterEvents.playerSpawn.subscribe((data) => {
  const { player } = data;
  const scoreParticipants = world.scoreboard
    .getObjective("money")
    .getParticipants();

  if (!scoreParticipants.includes(player.scoreboardIdentity)) {
    world.scoreboard.getObjective("money").setScore(player, 0);
  }
});


//with it in function its off and sleeping
export function getBatteryValue(player) {
  const playerEq = player.getComponent("equippable");
  const handEquipment = playerEq.getEquipment(EquipmentSlot.Mainhand);

  const durabilityComponent = handEquipment.getComponent("durability");

  const durability = durabilityComponent.maxDurability - durabilityComponent.damage;

  if (!handEquipment || (handEquipment.type.id !== "ml:smartphone" && durability > 0)) return 0;

  //battery math
  const batterypercent = (durability / durabilityComponent.maxDurability) * 100;

  return batterypercent;
}



